algebra-3.1: Constructive abstract algebra

Safe Haskell | None

Numeric.Band.Rectangular

Synopsis

- data Rect i j = Rect i j

# Documentation

data Rect i j Source

a rectangular band is a nowhere commutative semigroup. That is to say, if ab = ba then a = b. From this it follows classically that aa = a and that such a band is isomorphic to the following structure

Constructors

Rect i j |

Instances

Semigroupoid Rect |
(Eq i, Eq j) => Eq (Rect i j) |
(Ord i, Ord j) => Ord (Rect i j) |
(Read i, Read j) => Read (Rect i j) |
(Show i, Show j) => Show (Rect i j) |
Multiplicative (Rect i j) |
Band (Rect i j) |